Skip to main content

GetAssistanceData

POST 

/location/agnss

Provides assistance data to the device. Enables a faster time-to-first-fix (TTFF) for the GNSS modem. Returns the modem parameters for the nRF GNSS modem in a chunk. The chunk size is determined by the request Range header. See HEAD /location/agnss (GetAssistanceDataSize) for details.

Cloud-to-cloud request:

curl -X POST "$API_HOST/v1/organizations/$ORG_SLUG/projects/$PROJECT_SLUG/location/agnss" -H "Authorization: Bearer $NRFCLOUD_OAT" -H "Content-Type: application/json" -H "Accept: application/octet-stream" -H "Range: bytes=0-2200" --output assistance.bin

Basic Request:

curl -X POST "$API_HOST/v1/location/agnss" -H "Authorization: Bearer $JWT" -H "Content-Type: application/json" -H "Accept: application/octet-stream" -H "Range: bytes=0-2200" --output assistance.bin

Custom Request:

curl -X POST "$API_HOST/v1/location/agnss" -H "Authorization: Bearer $JWT" -H "Content-Type: application/json" -H "Accept: application/octet-stream" -H "Range: bytes=0-2200" --output assistance.bin -d "{\"types\": [8], \"mcc\": 244, \"mnc\": 91, \"tac\": 4099, \"eci\": 36078631}"

Type definitions:

  • 1 = GPS UTC
  • 2 = GPS Ephemerides
  • 3 = GPS Almanac
  • 4 = Klobuchar Ionospheric Correction
  • 5 = Nequick Ionospheric Correction
  • 6 = GPS Time of Week
  • 7 = GPS System Clock
  • 8 = Location (lat/lon of cell)
  • 9 = GPS Integrity
  • 11 = QZSS Almanac
  • 12 = QZSS Ephemerides
  • 13 = QZSS Integrity

Request​

Responses​

Contains chunk of file defined by the Range header.